Waiting for an update or fix Rated 5 out of 5 stars

This extension has become one for me that I can't do without. Unfortunately doesn't work with ff7. Another reviewer had posted an updated xpi that worked well with ff6 (thanks for that btw), and thought I'd try in ff7, but wont install. If you have a way to make this work in ff7, please post it. Thanks